%define		_state		stable
%define		orgname		kde-base-artwork
%define		qtver		4.8.3

Summary:	K Desktop Environment - base artwork
Summary(pl.UTF-8):	K Desktop Environment - podstawowe grafiki itp.
Name:		kde4-kdebase-artwork
Version:	4.10.5
Release:	1
License:	LGPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	03841837efc05d5374ddcdb4842ab26d
URL:		http://www.kde.org/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
Obsoletes:	kde4-splash-Default
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Default splashscreen that came with this version of KDE.

%description -l pl.UTF-8
Domyślny ekran powitalny dostarczony w tej wersji KDE.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/apps/ksplash/Themes/Default
%changelog
* Sun Jul 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdebase-artwork.git;a=log;h=master

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9843ea9
- up to 4.10.5

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 8530fda
- updated to 4.10.4 (by update-kde4.sh)

* Sun May 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f43091b
- up to 4.10.3

* Mon Apr 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4583ceb
- up to 4.10.2

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b3763ca
- up to 4.10.1

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 57bc8ad
- 4.10.0

* Sun Dec 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> dc3d8ef
- up to 4.9.4

* Sat Nov 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> fcc684b
- up to 4.9.3

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aa3b161
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> 5f59155
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 6c490b3
- Cleaned up

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 5bf8844
- Initial commit

